﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;
namespace DAL
{
   public partial class jts
    {
        public bool Add(Model.jts model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into jts(");
            strSql.Append("姓名,学号,用户名,手机,书号,书名,借阅时间,还书时间,宿舍号,专业)");
            strSql.Append(" values(");
            strSql.Append("@Xming,@Xhao,@Yhming,@Sji,@Shao,@Sming,@Jysjian,@Hssjiang,@Sshao,@Zyi)");
            SqlParameter[] parameters ={
                                          new SqlParameter("@Xming",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Xhao",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Yhming",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Sji",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Shao",SqlDbType.NVarChar,20),
                                          new SqlParameter("@Sming",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Jysjian",SqlDbType.DateTime),
                                          new SqlParameter("@Hssjiang",SqlDbType.DateTime),
                                          new SqlParameter("@Sshao",SqlDbType.NVarChar,20),
                                          new SqlParameter("@Zyi",SqlDbType.NVarChar,50)};
            parameters[0].Value = model.Xming;
            parameters[1].Value = model.Xhai;
            parameters[2].Value = model.Yhming;
            parameters[3].Value = model.Sji;
            parameters[4].Value = model.Shai;
            parameters[5].Value = model.Sming;
            parameters[6].Value = model.Jysjiang;
            parameters[7].Value = model.Hssjiang;
            parameters[8].Value = model.Sshai;
            parameters[9].Value = model.Zy;
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }

        }
        public bool Update(Model.jts model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update jts set ");
            strSql.Append("姓名=@Xming,学号=@Xhao,用户名=@Yhming,手机=@Sji,书号=@Shao,书名=@Sming,借阅时间=@Jysjian,还书时间=@Hssjiang,宿舍号=@Sshao,专业=@Zyi");
            strSql.Append(" where  书名=@Sming ");
            SqlParameter[] parameters = {
                                             new SqlParameter("@Xming",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Xhao",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Yhming",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Sji",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Shao",SqlDbType.NVarChar,20),
                                          new SqlParameter("@Sming",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Jysjian",SqlDbType.DateTime),
                                          new SqlParameter("@Hssjiang",SqlDbType.DateTime),
                                          new SqlParameter("@Sshao",SqlDbType.NVarChar,20),
                                          new SqlParameter("@Zyi",SqlDbType.NVarChar,50)};
            parameters[0].Value = model.Xming;
            parameters[1].Value = model.Xhai;
            parameters[2].Value = model.Yhming;
            parameters[3].Value = model.Sji;
            parameters[4].Value = model.Shai;
            parameters[5].Value = model.Sming;
            parameters[6].Value = model.Jysjiang;
            parameters[7].Value = model.Hssjiang;
            parameters[8].Value = model.Sshai;
            parameters[9].Value = model.Zy;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters); if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        public bool Delete(string Shao)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from jts ");
            strSql.Append(" where 书号=@Sming ");
            SqlParameter[] parameters = { 
                                            new SqlParameter("@Sming", SqlDbType.NVarChar, 50) };
            parameters[0].Value = Shao;
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        public Model.jts GetModel(string Shao)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select top1 姓名,学号,用户名,手机,书号,书名,借阅时间,还书时间,宿舍号,专业 from jts");
            strSql.Append(" where 姓名=@Xming");
            SqlParameter[] parameters ={
                                      new SqlParameter("@Xming",SqlDbType.NVarChar,50)};
            parameters[0].Value = Shao;
            Model.jts model = new Model.jts();
            DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                return DataRowToModel(ds.Tables[0].Rows[0]);
            }
            else
            {
                return null;
            }

        }
        public DataSet GetList(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select 姓名,学号,用户名,手机,书号,书名,借阅时间,还书时间,宿舍号,专业 from jts");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            return DbHelperSQL.Query(strSql.ToString());
        }
        public DataSet GetList()
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select 姓名,学号,用户名,手机,书号,书名,借阅时间,还书时间,宿舍号,专业 from jts");
            return DbHelperSQL.Query(strSql.ToString());
        }
        public Model.jts DataRowToModel(DataRow row)
        {
            Model.jts model = new Model.jts();
            if (row != null)
            {
                if (row["姓名"] != null)
                {
                    model.Xming = row["姓名"].ToString();
                }
                if (row["学号"] != null)
                {
                    model.Xhai = row["学号"].ToString();
                }
                if (row["用户名"] != null)
                {
                    model.Yhming = row["用户名"].ToString();
                }
                if (row["手机"] != null)
                {
                    model.Sji = row["手机"].ToString();
                }
                if (row["书号"] != null)
                {
                    model.Shai = row["书号"].ToString();
                }
                if (row["书名"] != null)
                {
                    model.Sming = row["书名"].ToString();
                }
                if (row["借阅时间"] != null && row["借阅时间"].ToString() != "")
                {
                    model.Jysjiang = DateTime.Parse(row["借阅时间"].ToString());
                }
                if (row["还书时间"] != null && row["还书时间"].ToString() != "")
                {
                    model.Hssjiang = DateTime.Parse(row["还书时间"].ToString());
                }
                if (row["宿舍号"] != null)
                {
                    model.Sshai = row["宿舍号"].ToString();
                }
                if (row["专业"] != null)
                {
                    model.Zy = row["专业"].ToString();
                }
            }
            return model;
        }
    }
}
