﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Data.OleDb;
namespace Tsgglxt
{
    public partial class tsAdd : Form
    {
        public tsAdd()
        {
            InitializeComponent();
            this.skinEngine1 = new Sunisoft.IrisSkin.SkinEngine(((System.ComponentModel.Component)(this)));
            this.skinEngine1.SkinFile = Application.StartupPath + "//Page.ssk";
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string strErr = "";
            if (txtshh.Text.Trim().Length == 0)
            {
                strErr += "书号不能为空！\\n";
            }
            if (txtsm.Text.Trim().Length == 0)
            {
                strErr += "书名不能为空!\\n";
            }
            if (txtzz.Text.Trim().Length == 0)
            {
                strErr += "作者不能为空！\\n";
            }
            if (txtcbs.Text.Trim().Length == 0)
            {
                strErr += "出版社不能为空！\\n";
            }
            if (this.txtisbn.Text.Trim().Length == 0)
            {
                strErr += "ISBN不能为空！\\n";
            }
            if (txtjg.Text.Trim().Length == 0)
            {
                strErr += "价格不能为空！\\n";
            }
            if (drksj.Text.Trim().Length == 0)
            {
                strErr += "入库时间不能为空!\\n";
            }
            if (txtgnwz.Text.Trim().Length == 0)
            {
                strErr += "馆内位置不能为空！\\n";
            }
            if (txtzt.Text.Trim().Length == 0)
            {
                strErr += "主题不能为空！\\n";
            }
            if (this.txtztao.Text.Trim().Length == 0)
            {
                strErr += "状态不能为空！\\n";
            }
            if (strErr != "")
            {
                MessageBox.Show(this, strErr);
                return;
            }
            string Shao = txtshh.Text;
            string Sming = txtsm.Text;
            string Zzhi = txtzz.Text;
            string Cbshi = txtcbs.Text;
            string Lsbn = txtisbn.Text;
            string Jge = txtjg.Text;
            DateTime Rksjiang = DateTime.Parse(drksj.Text);
            string Gnwzhi = txtgnwz.Text;
            string Zti = txtzt.Text;
            string Ztai = txtztao.Text;
            Model.ts model = new Model.ts();
            model.Shao = Shao;
            model.Sming = Sming;
            model.Zzhi = Zzhi;
            model.Cbshi = Cbshi;
            model.Lsbn = Lsbn;
            model.Jge = Jge;
            model.Rksjiang = Rksjiang;
            model.Gnwzhi = Gnwzhi;
            model.Zti = Zti;
            model.Ztai = Ztai;
            BLL.ts dll = new BLL.ts();
            if (dll.Add(model) == true)
            {
                MessageBox.Show("图书添加成功");
                DataBind();
            }
            else
            {
                MessageBox.Show("图书添加失败");
            }
        }

       

        private void button2_Click(object sender, EventArgs e)
        {
            txtshh.Text = "";
            txtsm.Text = "";
            txtzz.Text = "";
            txtcbs.Text = "";
            txtisbn.Text = "";
            txtjg.Text = "";
            drksj.Text = "";
            txtgnwz.Text = "";
            txtzt.Text = "";
            txtztao.Text = "";
        }

        
        public DataSet getData()
        {
            //打开文件
            OpenFileDialog file = new OpenFileDialog();
            file.Filter = "Excel(*.xlsx)|*.xlsx|Excel(*.xls)|*.xls";
            file.InitialDirectory = Environment.GetFolderPath(Environment.SpecialFolder.Desktop);
            file.Multiselect = false;
            if (file.ShowDialog() == DialogResult.Cancel)
                return null;
            //判断文件后缀
            var path = file.FileName;
            string fileSuffix = System.IO.Path.GetExtension(path);
            if (string.IsNullOrEmpty(fileSuffix))
                return null;
            using (DataSet ds = new DataSet())
            {
                //判断Excel文件是2003版本还是2007版本
                string connString = "";
                if (fileSuffix == ".xls")
                    connString = "Provider=Microsoft.Jet.OLEDB.4.0;" + "Data Source=" + path + ";" + ";Extended Properties=\"Excel 8.0;HDR=YES;IMEX=1\"";
                else
                    connString = "Provider=Microsoft.ACE.OLEDB.12.0;" + "Data Source=" + path + ";" + ";Extended Properties=\"Excel 12.0;HDR=YES;IMEX=1\"";
                //读取文件
                string sql_select = " SELECT * FROM [Sheet1$]";
                using (OleDbConnection conn = new OleDbConnection(connString))
                using (OleDbDataAdapter cmd = new OleDbDataAdapter(sql_select, conn))
                {
                    conn.Open();
                    cmd.Fill(ds);
                }
                if (ds == null || ds.Tables.Count <= 0) return null;
                return ds;
            }
        }
        private void button3_Click(object sender, EventArgs e)
        {
            dgvEmployeeInfo.DataSource = null; //每次打开清空内容
            DataTable dt = getData().Tables[0];
            dgvEmployeeInfo.DataSource = dt; 
        }
        public void DataBind()
        {
            BLL.ts bll = new BLL.ts();
            DataSet ds = new DataSet();
            ds = bll.GetList();
            dgvEmployeeInfo.DataSource = ds.Tables[0];
        }
        private void dataGridView1_CellClick(object sender, DataGridViewCellEventArgs e)
        {
           txtsm.Text= dgvEmployeeInfo.CurrentCell.OwningRow.Cells[0].Value.ToString();
         txtshh.Text= dgvEmployeeInfo.CurrentCell.OwningRow.Cells[1].Value.ToString();
            txtzz.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[2].Value.ToString();
            txtcbs.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[3].Value.ToString();
            txtisbn.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[4].Value.ToString();
            txtjg.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[5].Value.ToString();
            txtgnwz.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[7].Value.ToString();
            txtzt.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[8].Value.ToString();
            txtztao.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[9].Value.ToString(); 
        
        }

        private void tsAdd_Load(object sender, EventArgs e)
        {
            DataBind();
        }
    }
}
