﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;
namespace DAL
{
    public partial class dl
    {
        public bool Add(Model.dl model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into yhdl(");
            strSql.Append("用户名,密码,类型 )");
            strSql.Append(" values( ");
            strSql.Append("@Yhming,@Mma,@Yhlxing) ");
            SqlParameter[] parameeters ={
                                           new SqlParameter("@Yhming",SqlDbType.NVarChar,50),
                                           new SqlParameter("@Mma",SqlDbType.NVarChar,50),
                                           new SqlParameter("@Yhlxing",SqlDbType.NVarChar,50)};

            parameeters[0].Value = model.Yhming;
            parameeters[1].Value = model.Mma;
            parameeters[2].Value = model.Yhlxing;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameeters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        public bool Update(Model.dl model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update dl set ");
            strSql.Append(" 用户名=@Yhming,密码=@Mma,类型=@Yhlxing");
            strSql.Append(" where 用户名=@Yhming");
            SqlParameter[] parameeters ={
                                           new SqlParameter("@Yhlxing",SqlDbType.NVarChar,50),
                                           new SqlParameter("@Mma",SqlDbType.NVarChar,50),
                                           new SqlParameter("@Yhming",SqlDbType.NVarChar,50)};

            parameeters[0].Value = model.Yhlxing;
            parameeters[1].Value = model.Mma;
            parameeters[2].Value = model.Yhlxing;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameeters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        public bool DeIete(string UserName)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from dl ");
            strSql.Append("where 用户名=@Yhming ");
            SqlParameter[] parameters ={
                                          new SqlParameter("@Yhming",SqlDbType.NVarChar,50)};
            parameters[0].Value = UserName;
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;

            }
            else
            {
                return false;
            }



        }
        public Model.dl GetModl(string UserName)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select top 1 用户名,密码,类型  from dl ");
            strSql.Append("where 用户名=@Yhming ");
            SqlParameter[] parameters ={
                                          new SqlParameter("@Yhming",SqlDbType.NVarChar,50)};
            parameters[0].Value = UserName;
            Model.dl model = new Model.dl();
            DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                return DataRowToModel(ds.Tables[0].Rows[0]);
            }
            else
            {
                return null;
            }
        }
        public Model.dl DataRowToModel(DataRow row)
        {
            Model.dl model = new Model.dl();
            if (row != null)
            {
                if (row["Yhming"] != null)
                {
                    model.Yhming = row["Yhming"].ToString();
                }
                if (row["Mma"] != null)
                {
                    model.Mma = row["Mma"].ToString();
                }
                if (row["UserType"] != null)
                {
                    model.Yhlxing = row["Yhlxing"].ToString();
                }
            }
            return model;
        }
        public DataSet GetList(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select 用户名,密码,类型  ");
            strSql.Append("FROM dl ");
            if (strWhere.Trim() != "")
            {
                strSql.Append("where " + strWhere);
            }
            return DbHelperSQL.Query(strSql.ToString());
        }
        public DataSet GetList()
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select 用户名,密码,类型  ");
            strSql.Append("FROM dl");
            return DbHelperSQL.Query(strSql.ToString());
        }
    }
}
