﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;
namespace DAL
{
   public partial class dlyhxx
    {
        public bool Add(Model.dl model)//更新一条数据
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into dl(");
            strSql.Append("用户名,密码,类型,学号,姓名,专业,宿舍号,手机号)");
            strSql.Append(" values(");
            strSql.Append("@Yhmimg,@Mma,@Yhlxing,@Xhao,@Xming,@Zy,@Sshao,@Sjhao)");
            SqlParameter[] parameters ={
                                          new SqlParameter("@Yhmimg",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Mma",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Yhlxing",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Xhao",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Xming",SqlDbType.NVarChar,20),
                                          new SqlParameter("@Zy",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Sshao",SqlDbType.NVarChar,20),
                                          new SqlParameter("@Sjhao",SqlDbType.NVarChar,50)};
            parameters[0].Value = model.Yhming;
            parameters[1].Value = model.Mma;
            parameters[2].Value = model.Yhlxing ;
            parameters[3].Value = model.Xhao;
            parameters[4].Value = model.Xming;
            parameters[5].Value = model.Zy;
            parameters[6].Value = model.Sshao;
            parameters[7].Value = model.Sjhao;
           
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }

        }
        public bool Update(Model.dl model)//修改一条数据
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update dl set ");
            strSql.Append("用户名=@Yhmimg,密码=@Mma,类型=@Yhlxing,学号=@Xhao,姓名=@Xming,专业=@Zy,宿舍号=@Sshao,手机号=@Sjhao");
            strSql.Append(" where 用户名=@Yhmimg");
            SqlParameter[] parameters = {
                                          new SqlParameter("@Yhmimg",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Mma",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Yhlxing",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Xhao",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Xming",SqlDbType.NVarChar,20),
                                          new SqlParameter("@Zy",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Sshao",SqlDbType.NVarChar,20),
                                          new SqlParameter("@Sjhao",SqlDbType.NVarChar,50)};
            parameters[0].Value = model.Yhming;
            parameters[1].Value = model.Mma;
            parameters[2].Value = model.Yhlxing;
            parameters[3].Value = model.Xhao;
            parameters[4].Value = model.Xming;
            parameters[5].Value = model.Zy;
            parameters[6].Value = model.Sshao;
            parameters[7].Value = model.Sjhao;
           
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters); if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        public bool Delete(string Yhmimg)//删除一条数据
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from dl ");
            strSql.Append(" where 用户名=@Yhmimg ");
            SqlParameter[] parameters = { 
                                            new SqlParameter("@Yhmimg", SqlDbType.NVarChar, 50) };
            parameters[0].Value = Yhmimg;
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        public Model.dl GetModel(string Yhmimg)//得到一个实体对象
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select top1 用户名,密码,类型,学号,姓名,专业,宿舍号,手机号 from dl");
            strSql.Append(" where 用户名=@Yhmimg");
            SqlParameter[] parameters ={
                                      new SqlParameter("@Yhmimg",SqlDbType.NVarChar,50)};
            parameters[0].Value = Yhmimg;
            Model.dl model = new Model.dl();
            DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                return DataRowToModel(ds.Tables[0].Rows[0]);
            }
            else
            {
                return null;
            }

        }
        public DataSet GetList(string strWhere)//获取数据列表
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select 用户名,密码,类型,学号,姓名,专业,宿舍号,手机号 from dl");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            return DbHelperSQL.Query(strSql.ToString());
        }
        public DataSet GetList()//获取数据列表，无参数
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select 用户名,密码,类型,学号,姓名,专业,宿舍号,手机号 from dl");
            return DbHelperSQL.Query(strSql.ToString());
        }
        public Model.dl DataRowToModel(DataRow row)
        {
            Model.dl model = new Model.dl();
            if (row != null)
            {
                if (row["用户名"] != null)
                {
                    model.Yhlxing = row["用户名"].ToString();
                }
                if (row["密码"] != null)
                {
                    model.Mma = row["密码"].ToString();
                }
                if (row["类型"] != null)
                {
                    model.Yhlxing = row["类型"].ToString();
                }
                if (row["学号"] != null)
                {
                    model.Xhao = row["学号"].ToString();
                }
                if (row["姓名"] != null)
                {
                    model.Xming = row["姓名"].ToString();
                }
                if (row["专业"] != null)
                {
                    model.Zy= row["专业"].ToString();
                }
                if (row["宿舍号"] != null)
                {
                    model.Sshao = row["宿舍号"].ToString();
                }
                if (row["手机号"] != null)
                {
                    model.Sjhao = row["手机号"].ToString();
                }
            }
            return model;
        }
    }
}
