﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;
namespace DAL
{
    public partial class glzd
    {
        public bool Add(Model.glzd model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into glzd(");
            strSql.Append("营业时间,WiFi密码,第一段,第二段,第三段)");
            strSql.Append(" values(");
            strSql.Append("@Yysjiang,@Wifimma,@Dyduang,@Deduang,@Dsduang)");
            SqlParameter[] parameters ={
                                          new SqlParameter("@Yysjiang",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Wifimma",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Dyduang",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Deduang",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Dsduang",SqlDbType.NVarChar,20)};
              
            parameters[0].Value = model.Yysjiang;
            parameters[1].Value = model.Wifimma;
            parameters[2].Value = model.Dyduang;
            parameters[3].Value = model.Deduang;
            parameters[4].Value = model.Dsduang;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }

        }
        public bool Update(Model.glzd model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update glzd set ");
            strSql.Append("营业时间=@Yysjiang,WiFi密码=@Wifimma,第一段=@Dyduang,第二段=@Deduang,第三段=@Dsduang"); 
            SqlParameter[] parameters = {
                                          new SqlParameter("@Yysjiang",SqlDbType.NVarChar,200),
                                          new SqlParameter("@Wifimma",SqlDbType.NVarChar,500),
                                          new SqlParameter("@Dyduang",SqlDbType.NVarChar,500),
                                          new SqlParameter("@Deduang",SqlDbType.NVarChar,500),
                                          new SqlParameter("@Dsduang",SqlDbType.NVarChar,200)};

            parameters[0].Value = model.Yysjiang;
            parameters[1].Value = model.Wifimma;
            parameters[2].Value = model.Dyduang;
            parameters[3].Value = model.Deduang;
            parameters[4].Value = model.Dsduang;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters); if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        public bool Delete(string Yhmimg)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from glzd ");
            strSql.Append(" where 营业时间=@Yysjiang ");
            SqlParameter[] parameters = { 
                                            new SqlParameter("@Yysjiang", SqlDbType.NVarChar, 50) };
            parameters[0].Value = Yhmimg;
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        public Model.glzd GetModel(string Yysjiang)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select top1 营业时间,WiFi密码,第一段,第二段,第三段 from glzd");
            strSql.Append(" where 营业时间=@Yysjiang");
            SqlParameter[] parameters ={
                                      new SqlParameter("@Yysjiang",SqlDbType.NVarChar,50)};
            parameters[0].Value = Yysjiang;
            Model.glzd model = new Model.glzd();
            DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                return DataRowToModel(ds.Tables[0].Rows[0]);
            }
            else
            {
                return null;
            }

        }
        public DataSet GetList(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select 营业时间,WiFi密码,第一段,第二段,第三段 from glzd");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            return DbHelperSQL.Query(strSql.ToString());
        }
        public DataSet GetList()
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select 营业时间,WiFi密码,第一段,第二段,第三段 from glzd");
            return DbHelperSQL.Query(strSql.ToString());
        }
        public Model.glzd DataRowToModel(DataRow row)
        {
            Model.glzd model = new Model.glzd();
            if (row != null)
            {
                if (row["营业时间"] != null)
                {
                    model.Yysjiang = row["营业时间"].ToString();
                }
                if (row["WiFi密码"] != null)
                {
                    model.Wifimma = row["WiFi密码"].ToString();
                }
                if (row["第一段"] != null)
                {
                    model.Dyduang = row["第一段"].ToString();
                }
                if (row["第二段"] != null)
                {
                    model.Deduang = row["第二段"].ToString();
                }
                if (row["第三段"] != null)
                {
                    model.Dsduang = row["第三段"].ToString();
                }
            }
            return model;
        }
    }
}
