﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;
namespace DAL
{
    public partial class ts
    {
        public bool Add(Model.ts model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into ts(");
            strSql.Append("书号,书名,作者,出版社,ISBN,价格,入库时间,馆内位置,主题,状态)");
            strSql.Append(" values(");
            strSql.Append("@Shao,@Sming,@Zzhi,@Cbshi,@Lsbn,@Jge,@Rksjiang,@Gnwzhi,@Zti,@Ztai)");
            SqlParameter[] parameters ={
                                          new SqlParameter("@Shao",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Sming",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Zzhi",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Cbshi",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Lsbn",SqlDbType.NVarChar,20),
                                          new SqlParameter("@Jge",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Rksjiang",SqlDbType.DateTime),
                                          new SqlParameter("@Gnwzhi",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Zti",SqlDbType.NVarChar,20),
                                          new SqlParameter("@Ztai",SqlDbType.NVarChar,50)};
            parameters[0].Value = model.Shao;
            parameters[1].Value = model.Sming;
            parameters[2].Value = model.Zzhi;
            parameters[3].Value = model.Cbshi;
            parameters[4].Value = model.Lsbn;
            parameters[5].Value = model.Jge;
            parameters[6].Value = model.Rksjiang;
            parameters[7].Value = model.Gnwzhi;
            parameters[8].Value = model.Zti;
            parameters[9].Value = model.Ztai;
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }

        }
        public bool Update(Model.ts model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update ts set ");
            strSql.Append("书号=@Shao,书名=@Sming,作者=@Zzhi,出版社=@Cbshi,ISBN=@Lsbn,价格=@Jge,入库时间=@Rksjiang,馆内位置=@Gnwzhi,主题=@Zti,状态=@Ztai");
            strSql.Append(" where 书号=@Shao ");
            SqlParameter[] parameters = {
                                              new SqlParameter("@Shao",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Sming",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Zzhi",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Cbshi",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Lsbn",SqlDbType.NVarChar,20),
                                          new SqlParameter("@Jge",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Rksjiang",SqlDbType.DateTime),
                                          new SqlParameter("@Gnwzhi",SqlDbType.NVarChar,50),
                                          new SqlParameter("@Zti",SqlDbType.NVarChar,20),
                                          new SqlParameter("@Ztai",SqlDbType.NVarChar,50)};
            parameters[0].Value = model.Shao;
            parameters[1].Value = model.Sming;
            parameters[2].Value = model.Zzhi;
            parameters[3].Value = model.Cbshi;
            parameters[4].Value = model.Lsbn;
            parameters[5].Value = model.Jge;
            parameters[6].Value = model.Rksjiang;
            parameters[7].Value = model.Gnwzhi;
            parameters[8].Value = model.Zti;
            parameters[9].Value = model.Ztai;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters); if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        public bool Delete(string Shao)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from ts ");
            strSql.Append(" where 书号=@Shao ");
            SqlParameter[] parameters = { 
                                            new SqlParameter("@Shao", SqlDbType.NVarChar, 50) };
            parameters[0].Value = Shao;
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        public Model.ts GetModel(string Shao)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select top1 书号,书名,作者,出版社,ISBN,价格,入库时间,馆内位置,主题,状态 from ts");
            strSql.Append(" where 书号=@Shao");
            SqlParameter[] parameters ={
                                      new SqlParameter("@Shao",SqlDbType.NVarChar,50)};
            parameters[0].Value = Shao;
            Model.ts model = new Model.ts();
            DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                return DataRowToModel(ds.Tables[0].Rows[0]);
            }
            else
            {
                return null;
            }

        }
        public DataSet GetList(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select 书号,书名,作者,出版社,ISBN,价格,入库时间,馆内位置,主题,状态 from ts");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            return DbHelperSQL.Query(strSql.ToString());
        }
        public DataSet GetList()
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select 书号,书名,作者,出版社,ISBN,价格,入库时间,馆内位置,主题,状态 from ts");
            return DbHelperSQL.Query(strSql.ToString());
        }
        public Model.ts DataRowToModel(DataRow row)
        {
            Model.ts model = new Model.ts();
            if (row != null)
            {
                if (row["书号"] != null)
                {
                    model.Sming= row["书号"].ToString();
                }
                if (row["书名"] != null)
                {
                    model.Shao= row["书名"].ToString();
                }
                if (row["作者"] != null)
                {
                    model.Zzhi= row["作者"].ToString();
                }
                if (row["出版社"] != null)
                {
                    model.Cbshi = row["出版社"].ToString();
                }
                if (row["Lsbn"] != null)
                {
                    model.Lsbn = row["Lshn"].ToString();
                }
                if (row["价格"] != null)
                {
                    model.Jge = row["价格"].ToString();
                }
                if (row["入库时间"] != null && row["入库时间"].ToString() != "")
                {
                    model.Rksjiang =  DateTime.Parse(row["入库时间"].ToString());
                }
                if (row["馆内位置"] != null)
                {
                    model.Gnwzhi = row["馆内位置"].ToString();
                }
                if (row["主题"] != null)
                {
                    model.Zti = row["主题"].ToString();
                }
                if (row["状态"] != null)
                {
                    model.Ztai = row["状态"].ToString();
                }
            }
            return model;
        }
    }
}
