﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Tsgglxt
{
    public partial class jtsM1 : Form
    {
        public jtsM1()
        {
            InitializeComponent();
            this.skinEngine1 = new Sunisoft.IrisSkin.SkinEngine(((System.ComponentModel.Component)(this)));
            this.skinEngine1.SkinFile = Application.StartupPath + "//Page.ssk";
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string strErr = "";
            if (txtxm.Text.Trim().Length == 0)
            {
                strErr += "姓名不能为空！\\n";
            }
            if (txtxh.Text.Trim().Length == 0)
            {
                strErr += "学号不能为空!\\n";
            }
            if (txtyhm.Text.Trim().Length == 0)
            {
                strErr += "用户名不能为空！\\n";
            }
            if (txtsj.Text.Trim().Length == 0)
            {
                strErr += "手机不能为空！\\n";
            }
            if (txtsh.Text.Trim().Length == 0)
            {
                strErr += "书号不能为空！\\n";
            }
            if (txtsm.Text.Trim().Length == 0)
            {
                strErr += "书名不能为空！\\n";
            }
            if (djysj.Text.Trim().Length == 0)
            {
                strErr += "借阅时间时间不能为空!\\n";
            }
            if (dhssj.Text.Trim().Length == 0)
            {
                strErr += "还书时间不能为空！\\n";
            }
            if (txtssh.Text.Trim().Length == 0)
            {
                strErr += "宿舍号不能为空！\\n";
            }
            if (txtzy.Text.Trim().Length == 0)
            {
                strErr += "专业不能为空！\\n";
            }
            if (strErr != "")
            {
                MessageBox.Show(this, strErr);
                return;
            }
            string Xming = txtxm.Text;
            string Xhai = txtxh.Text;
            string Yhming = txtyhm.Text;
            string Sji = txtsj.Text;
            string Shai = txtsh.Text;
            string Sming = txtsm.Text;
            DateTime Jysjiang = DateTime.Parse(djysj.Text);
            DateTime Hssjiang = DateTime.Parse(dhssj.Text);
            string Sshai = txtssh.Text;
            string Zy = txtzy.Text;
            Model.jts model = new Model.jts();
            model.Xming = Xming;
            model.Xhai = Xhai;
            model.Yhming = Yhming;
            model.Sji = Sji;
            model.Shai = Shai;
            model.Sming = Sming;
            model.Jysjiang = Jysjiang;
            model.Hssjiang = Hssjiang;
            model.Sshai = Sshai;
            model.Zy = Zy;
            BLL.jts dll = new BLL.jts();
            if (dll.Update(model) == true)
            {
                MessageBox.Show("借阅图书信息修改成功");
                DataBind();
            }
            else
            {
                MessageBox.Show("借阅图书信息修改失败");
            }
        }
        public void DataBind()
        {
            BLL.jts bll = new BLL.jts();
            DataSet ds = new DataSet();
            ds = bll.GetList();
            dgvEmployeeInfo.DataSource = ds.Tables[0];
        }
        public void s()
        {
            string strWhere = "1=1";
            
            string shao = txtsh.Text.Trim();
            
            if (shao != "")
            {
                strWhere = strWhere + " and 书号 like '" + shao + "'";
            }
            BLL.ts bll = new BLL.ts();
            DataSet ds = new DataSet();
            ds = bll.GetList(strWhere);
            DataTable dt = ds.Tables[0];
            string Shao = dt.Rows[0]["书号"].ToString();
            string Sming = dt.Rows[0]["书名"].ToString();
            string Zzhi = dt.Rows[0]["作者"].ToString();
            string Cbshi = dt.Rows[0]["出版社"].ToString();
            string Lsbn = dt.Rows[0]["ISBN"].ToString();
            string Jge = dt.Rows[0]["价格"].ToString();
            DateTime Rksjiang = DateTime.Parse(dt.Rows[0]["入库时间"].ToString());
            string Gnwzhi = dt.Rows[0]["馆内位置"].ToString();
            string Zti = dt.Rows[0]["主题"].ToString();
            string ztai = "在馆";
            Model.ts model = new Model.ts();
            model.Shao = Shao;
            model.Sming = Sming;
            model.Zzhi = Zzhi;
            model.Cbshi = Cbshi;
            model.Lsbn = Lsbn;
            model.Jge = Jge;
            model.Rksjiang = Rksjiang;
            model.Gnwzhi = Gnwzhi;
            model.Zti = Zti;
            model.Ztai = ztai;
            BLL.ts dll = new BLL.ts();
            dll.Update(model);
        }
        private void button2_Click(object sender, EventArgs e)
        {
            string shao= txtsh.Text;
            BLL.jts bll = new BLL.jts();
            if (bll.Delete(shao) == true)
            {
                MessageBox.Show("删除成功");
                s();
                DataBind();
            }
            else
            {
                MessageBox.Show("删除失败");
            }
        }

        private void jtsM1_Load(object sender, EventArgs e)
        {
            DataBind();
        }

        private void dgvEmployeeInfo_CellClick(object sender, DataGridViewCellEventArgs e)
        {
            txtxm.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[0].Value.ToString();
            txtxh.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[1].Value.ToString();
            txtyhm.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[2].Value.ToString();
            txtsj.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[3].Value.ToString();
            txtsh.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[4].Value.ToString();
            txtsm.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[5].Value.ToString();
            djysj.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[6].Value.ToString();
            dhssj.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[7].Value.ToString();
            txtssh.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[8].Value.ToString();
            txtzy.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[9].Value.ToString(); 
        }

       
    }

}
