﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Tsgglxt
{
    public partial class tsM : Form
    {
        public tsM()
        {
            InitializeComponent();
            this.skinEngine1 = new Sunisoft.IrisSkin.SkinEngine(((System.ComponentModel.Component)(this)));
            this.skinEngine1.SkinFile = Application.StartupPath + "//Page.ssk";
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string strErr = "";
            if (txtshh.Text.Trim().Length == 0)
            {
                strErr += "书号不能为空！\\n";
            }
            if (txtsm.Text.Trim().Length == 0)
            {
                strErr += "书名不能为空!\\n";
            }
            if (txtzz.Text.Trim().Length == 0)
            {
                strErr += "作者不能为空！\\n";
            }
            if (txtcbs.Text.Trim().Length == 0)
            {
                strErr += "出版社不能为空！\\n";
            }
            if (this.txtisbn.Text.Trim().Length == 0)
            {
                strErr += "ISBN不能为空！\\n";
            }
            if (txtjg.Text.Trim().Length == 0)
            {
                strErr += "价格不能为空！\\n";
            }
            if (drksj.Text.Trim().Length == 0)
            {
                strErr += "入库时间不能为空!\\n";
            }
            if (txtgnwz.Text.Trim().Length == 0)
            {
                strErr += "馆内位置不能为空！\\n";
            }
            if (txtzt.Text.Trim().Length == 0)
            {
                strErr += "主题不能为空！\\n";
            }
            if (this.txtztao.Text.Trim().Length == 0)
            {
                strErr += "状态不能为空！\\n";
            }
            if (strErr != "")
            {
                MessageBox.Show(this, strErr);
                return;
            }
            string Shao = txtshh.Text;
            string Sming = txtsm.Text;
            string Zzhi = txtzz.Text;
            string Cbshi = txtcbs.Text;
            string Lsbn = txtisbn.Text;
            string Jge = txtjg.Text;
            DateTime Rksjiang = DateTime.Parse(drksj.Text);
            string Gnwzhi = txtgnwz.Text;
            string Zti = txtzt.Text;
            string Ztai = txtztao.Text;
            Model.ts model = new Model.ts();
            model.Shao = Shao;
            model.Sming = Sming;
            model.Zzhi = Zzhi;
            model.Cbshi = Cbshi;
            model.Lsbn = Lsbn;
            model.Jge = Jge;
            model.Rksjiang = Rksjiang;
            model.Gnwzhi = Gnwzhi;
            model.Zti = Zti;
            model.Ztai = Ztai;
            BLL.ts dll = new BLL.ts();
            if (dll.Update(model) == true)
            {
                MessageBox.Show("图书信息修改成功");
                DataBind();
            }
            else
            {
                MessageBox.Show("图书信息修改失败");
            }
        }
        public void DataBind()
        {
            BLL.ts bll = new BLL.ts();
            DataSet ds = new DataSet();
            ds = bll.GetList();
            dgvEmployeeInfo.DataSource = ds.Tables[0];
        }

        private void tsM_Load(object sender, EventArgs e)
        {
            DataBind();
        }

        private void dgvEmployeeInfo_CellClick(object sender, DataGridViewCellEventArgs e)
        {
            txtshh.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[0].Value.ToString();
            txtsm.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[1].Value.ToString();
            txtzz.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[2].Value.ToString();
            txtcbs.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[3].Value.ToString();
            txtisbn.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[4].Value.ToString();
            txtjg.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[5].Value.ToString();
            drksj.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[6].Value.ToString();
            txtgnwz.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[7].Value.ToString();
            txtzt.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[8].Value.ToString();
            txtztao.Text = dgvEmployeeInfo.CurrentCell.OwningRow.Cells[9].Value.ToString(); 
        }

        private void button2_Click(object sender, EventArgs e)
        {
            string shao = txtshh.Text;
            BLL.ts bll = new BLL.ts();
            if (bll.Delete(shao) == true)
            {
                MessageBox.Show("图书信息删除成功");
                DataBind();
            }
            else
            {
                MessageBox.Show("图书信息删除失败");
            }
        }

       
    }
}
